Prepare certificate creation
POST
/ai/gateway/library/certificates/create/prepareContract
Parameter | Value |
|---|---|
| Section | ai-gateway |
| Authentication | AIKeyAuth |
| Consumes | application/json |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| request | body | yes | object | certificate { name (required), public, private }, idempotencyKey, ttlSeconds, schemaHash |
{}
Responses
6 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
400 | Invalid request body or missing certificate/name | object |
401 | API key is missing or invalid | object |
403 | Required library:write scope is missing | object |
409 | Idempotency key has already been used for another request | object |
500 | Internal server error | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": {} }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }